/****************************************************************************/
/*                   Copyright(C) 2001 FabIATech Corporation                */
/* FileName : DEMO.H                                                        */
/* Function : Watch Dog of F81216D Program (for FINTEK F81216D)             */
/* Design's : By Jimmy Chang                                                */
/* BuildDate: 26/04/2006 V1.1                                               */
/****************************************************************************/
#ifndef __WDLIB_H
#define __WDLIB_H

#ifndef __DOS_H
  #include <dos.h>
#endif

/*Default value define as follows: */
#define equWdUnitS 0x03 /*watch dog counter value of unit is second */
#define equWdUnitM 0x05 /*watch dog counter value of unit is minute */

#ifdef __cplusplus
extern "C" {
#endif

/*==========================================================================*/
/* OpenIoConfig                                                             */
/*==========================================================================*/
/* Function : open super IO of configuration register for Super I/O         */
/* Enter    : None                                                          */
/* Return   : None                                                          */
/*==========================================================================*/
void OpenIoConfig(void);

/*==========================================================================*/
/* CloseIoConfig                                                            */
/*==========================================================================*/
/* Function : close super IO of configuration register for Super I/O        */
/* Enter    : None                                                          */
/* Return   : None                                                          */
/*==========================================================================*/
void CloseIoConfig(void);

/*==========================================================================*/
/* SelectIoDevice                                                           */
/*==========================================================================*/
/* Function : select super IO of device for Super I/O                       */
/* Enter    : cSelectDEV = select device of function                        */
/* Return   : None                                                          */
/*==========================================================================*/
void SelectIoDevice(char cSelectDEV);

/*==========================================================================*/
/* WriteIoCR                                                                */
/*==========================================================================*/
/* Function : write super IO of configuration register for Supe I/O         */
/* Enter    : cIndex = select index port of configuration register(CR)      */
/*            cData  = configuration register of data                       */
/* Return   : None                                                          */
/*==========================================================================*/
void WriteIoCR(char cIndex, char cData);

/*==========================================================================*/
/* InitWD                                                                   */
/*==========================================================================*/
/* Function : initial watch dog                                             */
/* Enter    : None		            				                        */
/* Return   : None                                                          */
/*==========================================================================*/
void InitWD(void);

/*==========================================================================*/
/* EnWD                                                                     */
/*==========================================================================*/
/* Function : Enable watch dog                                              */
/* Enter    : cSetWatchDogUnit = Set second or minute                       */
/*            cWatchDogValue = watch dog time out of value                  */
/*               05h : minute                                               */
/*               03h : second                                               */
/* Return   : None                                                          */
/*==========================================================================*/
void EnWD(char cSetWatchDogUnit, char cWatchDogValue);

/*==========================================================================*/
/* DisWD                                                                    */
/*==========================================================================*/
/* Function : Disable watch dog                                             */
/* Enter    : None              					                        */
/* Return   : None                                                          */
/*==========================================================================*/
void DisWD(void);

/*==========================================================================*/
/* Logo                                                                     */
/*==========================================================================*/
/* Function : Show  FabIATech Corp and Program Version:1.1                  */
/* Enter    : None              					                        */
/* Return   : None                                                          */
/*==========================================================================*/
void Logo();

#ifdef __cplusplus
}
#endif

#endif  // __WDLIB_H
